QGIS Application - Bug report #14997

SVG arrows in composer not displayed when containing custom parameter

2016-06-10 07:18 AM - Regis Haubourg
Description

Hi,

when trying to draw an arrow in composer, ending with a svg symbol, if | use a native QGIS SVG that contains the parameters used to

change color and size such as

fill="param(fill)" fill-opacity="param(fill-opacity)
stroke="param(outline)" stroke-opacity="param(outline-opacity)"

then symbols are not drawn. Removing those parameters SVG in a text editor works.

Associated revisions

Revision 78c434a6 - 2016-06-14 04:11 AM - Nyall Dawson

[composer] Make parameterised SVG arrow heads respect colors (fix #14997)

Revision dc961d53 - 2016-07-01 10:36 AM - Nyall Dawson

[composer] Make parameterised SVG arrow heads respect colors (fix #14997)

(cherry-picked from 78c434a6c4fbdb6004c725abe0121dc4dd6dd8dc)

History

#1 - 2016-06-12 11:27 PM - Alain FERRATON
it seems that only the parameter

fill-opacity = " param ( fill-opacity ) "

does not allow the Symbol Display

However, even with

fill="param(fill) #FFF"
we can not change the color

#2 - 2016-06-13 12:09 AM - Hugo Mercier
| am not sure to understand how to reproduce the issue.

Could you share a project ?

#3 - 2016-06-13 07:17 PM - Nyall Dawson
- Status changed from Open to Closed

Fixed in changeset commit:"78c434a6¢4fbdb6004c725abe0121dc4dd6dd8dc”.

#4 - 2016-06-14 02:05 AM - Regis Haubourg

Nyall Dawson wrote:

Fixed in changeset commit:"78c434a6c4fbdb6004c725abe0121dc4dd6dd8dc".

Woh thanks! Do you thinks a backport is possible for 2.14 (next LTR) ?
Cheers
Régis

#5 - 2016-06-14 03:41 AM - Nyall Dawson

Yes, will do
